### Constructor

# Gtk.ShortcutController.new_for_model

#### Declaration [src]

    GtkEventController*
    gtk_shortcut_controller_new_for_model (
      GListModel* model
    )

#### Description [src]

Creates a new shortcut controller that takes its shortcuts from the given list model.

A controller created by this function does not let you add or remove individual shortcuts using the shortcut controller api, but you can change the contents of the model.

#### Parameters

`model` | `GListModel*`
| a `GListModel` containing shortcuts
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkEventController`
a newly created shortcut controller
Ownership of the data is transferred to the caller